MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/icy_metadata.h File Reference

`#include <stdbool.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Data Structures
struct | icy_metadata
## Functions
static void | icy_clear (struct icy_metadata *im)
| Initialize a disabled icy_metadata object.
static void | icy_start (struct icy_metadata *im, size_t data_size)
| Initialize an enabled icy_metadata object with the specified data_size (from the icy-metaint HTTP response header).
void | icy_reset (struct icy_metadata *im)
| Resets the icy_metadata.
void | icy_deinit (struct icy_metadata *im)
static bool | icy_defined (const struct icy_metadata *im)
| Checks whether the icy_metadata object is enabled.
size_t | icy_data (struct icy_metadata *im, size_t length)
| Evaluates data.
size_t | icy_meta (struct icy_metadata *im, const void *data, size_t length)
| Reads metadata from the stream.
static struct tag * | icy_tag (struct icy_metadata *im)

## Function Documentation

static void icy_clear | ( | struct icy_metadata * | im | ) | `[inline, static]`

Initialize a disabled icy_metadata object.

Definition at line 39 of file icy_metadata.h.

size_t icy_data | ( | struct icy_metadata * | im,
|  | size_t | length
| ) |  |

Evaluates data.

Returns the number of bytes of normal data which can be read by the caller, but not more than "length". If the return value is smaller than "length", the caller should invoke icy_meta().

static bool icy_defined | ( | const struct icy_metadata * | im | ) | `[inline, static]`

Checks whether the icy_metadata object is enabled.

Definition at line 69 of file icy_metadata.h.

void icy_deinit | ( | struct icy_metadata * | im | ) |

size_t icy_meta | ( | struct icy_metadata * | im,
|  | const void * | data,
|  | size_t | length
| ) |  |

Reads metadata from the stream.

Returns the number of bytes consumed. If the return value is smaller than "length", the caller should invoke icy_data().

void icy_reset | ( | struct icy_metadata * | im | ) |

Resets the icy_metadata.

Call this after rewinding the stream.

static void icy_start | ( | struct icy_metadata * | im,
|  | size_t | data_size
| ) |  | `[inline, static]`

Initialize an enabled icy_metadata object with the specified data_size (from the icy-metaint HTTP response header).

Definition at line 49 of file icy_metadata.h.

static struct tag* icy_tag | ( | struct icy_metadata * | im | ) | `[static, read]`

Definition at line 92 of file icy_metadata.h.